//
//  AppDelegate+Window.swift
//  RainbowPlanet
//
//  Created by 南鑫林 on 2018/6/30.
//  Copyright © 2018年 南鑫林. All rights reserved.
//

import UIKit

extension AppDelegate {

    func initWindow() {
        
        window = UIWindow.init(frame: UIScreen.main.bounds)
        window?.backgroundColor = UIColor.white
        window?.makeKeyAndVisible()

        /// 设置Tabbar
        setTabbarController()

        /// 设置全局的tabbar
        setTabbarAppearence()

        /// 设置全局的navigation
        setNavBarAppearence()
        
        /// 引导页
        setGuidePageView()
    }
    
    /// 设置Tabbar
    func setTabbarController() {
        self.window?.rootViewController = BaseTabbarViewController.shared().tabBarViewController
    }

     /// 设置全局的navigation
    func setNavBarAppearence() {
        WRNavigationBar.defaultStatusBarStyle = .lightContent
    }

    ///设置全局的Tabbar
    func setTabbarAppearence() {
        UITabBar.appearance().backgroundImage = UIImage();
        UITabBar.appearance().backgroundColor = UIColor.white
        UITabBar.appearance().shadowImage = UIImage(named: "tab_top_line")
    }

    //设置引导页
    func setGuidePageView() {
        
    }
    
}
